> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/core/smart-data-extraction/packaging.md).

# Reduce Smart Data Extraction package size

Learn how to reduce package size for Smart Data Extraction module. Optimize disk space usage in constrained environments. Find out how to remove unnecessary files based on your specific use case. The

{% hint style="info" %}
**Requirements**

*These packages are required to use these features in production. Trial keys have unlimited access to all features*

<a href="https://apryse.com/capabilities#SmartDataExtraction" class="button primary">Package: Smart Data Extraction</a><a href="/core/learn-more/modules.md#data-extraction-module" class="button primary">Module: Data Extraction</a>
{% endhint %}

The Smart Data Extraction module uses artificial intelligence in several of its engines, and as a result, can consume a substantial amount of disk space. This can be limiting for some users who need to work in constrained environments with limited storage, such as certain cloud computing environments.

The Data Extraction module is composed of four engines, each with its own file requirements. If you need only a subset of these engines, you can remove files from the package that aren't dependencies of your required engine. Each engine's file dependencies are platform-specific.

The following table provides Linux and Windows file dependencies for each extraction engine and shows which files you can remove when you don't use specific features.

{% tabs %}
{% tab title="Linux" %}
The table below maps each engine to its file dependencies.

| Engine Name                     | Dependencies                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| ------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Tabular Data Extraction         | <ul><li><code>Lib/Linux/TabluarData/\*</code></li><li><code>Lib/Linux/OCRModule</code></li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Document Structure Recognition  | <ul><li><code>Lib/Linux/StructuredOutput</code></li><li><code>Lib/Linux/fonts2.pdf</code></li><li><code>Lib/Linux/tessdata/\*</code></li></ul><p>The following files are only required if using <a href="/core/smart-data-extraction/workflow.md#deep-learning-assist">Deep Learning Assist</a>:</p><ul><li><code>Lib/Linux/AIPageObjectExtractor/AIPageObjectExtractor</code></li><li><code>Lib/Linux/AIPageObjectExtractor/table.onnx</code></li><li><code>Lib/Linux/AIPageObjectExtractor/table\_tabular.onnx</code></li><li><code>Lib/Linux/AIPageObjectExtractor/Licenses</code></li></ul> |
| Form Field Detection            | <ul><li><code>Lib/Linux/AIPageObjectExtractor/AIPageObjectExtractor</code></li><li><code>Lib/Linux/AIPageObjectExtractor/form.onnx</code></li><li><code>Lib/Linux/AIPageObjectExtractor/Licenses</code></li></ul>                                                                                                                                                                                                                                                                                                                                                                               |
| Form Field Key-Value Extraction | <ul><li><code>Lib/Linux/AIPageObjectExtractor/AIPageObjectExtractor</code></li><li><code>Lib/Linux/AIPageObjectExtractor/form.onnx</code></li><li><code>Lib/Linux/AIPageObjectExtractor/kv.onnx</code></li><li><code>Lib/Linux/AIPageObjectExtractor/kv\_v.cab</code></li><li><code>Lib/Linux/AIPageObjectExtractor/Licenses</code></li></ul>                                                                                                                                                                                                                                                   |
| Generic Key-Value Extraction    | <ul><li><code>Lib/Linux/AIPageObjectExtractor/AIPageObjectExtractor</code></li><li><code>Lib/Linux/AIPageObjectExtractor/kv.onnx</code></li><li><code>Lib/Linux/AIPageObjectExtractor/kv\_v.cab</code></li><li><code>Lib/Linux/AIPageObjectExtractor/Licenses</code></li></ul>                                                                                                                                                                                                                                                                                                                  |
| Document Classification         | <ul><li><code>Lib/Linux/AIPageObjectExtractor/AIPageObjectExtractor</code></li><li><code>Lib/Linux/AIPageObjectExtractor/class.onnx</code></li><li><code>Lib/Linux/AIPageObjectExtractor/Licenses</code></li></ul>                                                                                                                                                                                                                                                                                                                                                                              |

If the engines you are using do not depend on a given file, you are free to remove that file. For example, if you are using the Form Field Key-Value Extraction engine and the Document Structure Recognition engine (without Deep Learning Assist), then you can remove any files that are only needed for the Tabular Data Extraction engine. In this example, you would be left with the following:

{% code lineNumbers="true" %}

```
Lib
└── Linux
    ├── AIPageObjectExtractor
    │   ├── AIPageObjectExtractor
    │   ├── class.onnx
    │   ├── form.onnx
    │   ├── kv.onnx
    │   ├── kv_v.cab
    │   └── Licenses
    ├── fonts2.pdf
    ├── StructuredOutput
    └── tessdata
        ├── chi_sim.traineddata
        ├── chi_sim_vert.traineddata
        ├── chi_tra.traineddata
        ├── chi_tra_vert.traineddata
        ├── ell.traineddata
        ├── eng.traineddata
        ├── grc.traineddata
        ├── jpn.traineddata
        ├── jpn_vert.traineddata
        ├── kor.traineddata
        └── kor_vert.traineddata
```

{% endcode %}
{% endtab %}

{% tab title="Windows" %}
The table below maps each engine to its file dependencies.

| Engine Name                     | Dependencies                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| ------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Tabular Data Extraction         | <ul><li><code>Lib/Windows/TabluarData/\*</code></li><li><code>Lib/LiWindowsnux/OCRModule.exe</code></li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| Document Structure Recognition  | <ul><li><code>Lib/Windows/StructuredOutput.exe</code></li><li><code>Lib/Windows/tessdata/\*</code></li></ul><p>The following files are only required if using <a href="/core/smart-data-extraction/workflow.md#deep-learning-assist">Deep Learning Assist</a>:</p><ul><li><code>Lib/Windows/AIPageObjectExtractor/AIPageObjectExtractor.dll</code></li><li><code>Lib/Windows/AIPageObjectExtractor/table.onnx</code></li><li><code>Lib/Windows/AIPageObjectExtractor/table\_tabular.onnx</code></li><li><code>Lib/Windows/AIPageObjectExtractor/Licenses</code></li></ul> |
| Form Field Detection            | <ul><li><code>Lib/Windows/AIPageObjectExtractor/AIPageObjectExtractor.dll</code></li><li><code>Lib/Windows/AIPageObjectExtractor/form.onnx</code></li><li><code>Lib/Windows/AIPageObjectExtractor/Licenses</code></li></ul>                                                                                                                                                                                                                                                                                                                                               |
| Form Field Key-Value Extraction | <ul><li><code>Lib/Windows/AIPageObjectExtractor/AIPageObjectExtractor.dll</code></li><li><code>Lib/Windows/AIPageObjectExtractor/form.onnx</code></li><li><code>Lib/Windows/AIPageObjectExtractor/kv.onnx</code></li><li><code>Lib/Windows/AIPageObjectExtractor/kv\_v.cab</code></li><li><code>Lib/Windows/AIPageObjectExtractor/Licenses</code></li></ul>                                                                                                                                                                                                               |
| Generic Key-Value Extraction    | <ul><li><code>Lib/Windows/AIPageObjectExtractor/AIPageObjectExtractor.dll</code></li><li><code>Lib/WindowsAIPageObjectExtractor/kv.onnx</code></li><li><code>Lib/Windows/AIPageObjectExtractor/kv\_v.cab</code></li><li><code>Lib/WindowsAIPageObjectExtractor/Licenses</code></li></ul>                                                                                                                                                                                                                                                                                  |
| Document Classification         | <ul><li><code>Lib/Windows/AIPageObjectExtractor/AIPageObjectExtractor.dll</code></li><li><code>Lib/WindowsAIPageObjectExtractor/class.onnx</code></li><li><code>Lib/WindowsAIPageObjectExtractor/Licenses</code></li></ul>                                                                                                                                                                                                                                                                                                                                                |

If the engines you are using do not depend on a given file, you are free to remove that file. For example, if you are using the Form Field Key-Value Extraction engine and the Document Structure Recognition engine (without Deep Learning Assist), then you can remove any files that are only needed for the Tabular Data Extraction engine. In this example, you would be left with the following:

{% code lineNumbers="true" %}

```
Lib
└── Windows
    ├── AIPageObjectExtractor
    │   ├── AIPageObjectExtractor.dll
    │   ├── class.onnx
    │   ├── form.onnx
    │   ├── kv.onnx
    │   ├── kv_v.cab
    │   └── Licenses
    ├── StructuredOutput.exe
    └── tessdata
        ├── chi_sim.traineddata
        ├── chi_sim_vert.traineddata
        ├── chi_tra.traineddata
        ├── chi_tra_vert.traineddata
        ├── ell.traineddata
        ├── eng.traineddata
        ├── grc.traineddata
        ├── jpn.traineddata
        ├── jpn_vert.traineddata
        ├── kor.traineddata
        └── kor_vert.traineddata
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/core/smart-data-extraction/packaging.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
